Documentation Index
Fetch the complete documentation index at: https://docs.emailbison.com/llms.txt
Use this file to discover all available pages before exploring further.
Adding Leads
Adding leads to an active campaign will take up to 5 minutes for the leads to get synced.This ensures that there is no interruption to the campaigns sending.
Adding leads from existing list
Send a POST request to the following endpoint./api/campaigns/{campaign_id}/leads/attach-lead-list
The request takes 1 required body parameter:The ID of the lead list to add
An example of this request:curl 'https://dedi.emailbison.com/api/campaigns/6/leads/attach-lead-list' \
--request POST \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
--data '{
"lead_list_id": 1
}'
Adding leads by their IDs
You can also add individual leads to a campiagn using the lead IDs.Send a POST request to the following endpoint./api/campaigns/{campaign_id}/leads/attach-leads
The request takes 1 required body parameter:An array containing the IDs of the leads to add
An example of this request:curl 'https://dedi.emailbison.com/api/campaigns/6/leads/attach-leads' \
--request POST \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
--data '{
"lead_ids": [1,2,3]
}'
Navigate to Campaigns.Click on the campaign you want to add leads to.Click the Actions dropdown and click Add more contacts.